/*******************************************************************************
 * ParticleModuleLocationSkelVertSurface generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ParticleModuleLocationSkelVertSurface extends ParticleModuleLocationBase
    native(Particle)
    editinlinenew
    hidecategories(Object,Object,Object);

enum ELocationSkelVertSurfaceSource
{
    VERTSURFACESOURCE_Vert,
    VERTSURFACESOURCE_Surface,
    VERTSURFACESOURCE_MAX
};

var(VertSurface) ParticleModuleLocationSkelVertSurface.ELocationSkelVertSurfaceSource SourceType;
var(VertSurface) Vector UniversalOffset;
var(VertSurface) bool bUpdatePositionEachFrame;
var(VertSurface) bool bOrientMeshEmitters;
var(VertSurface) bool bEnforceNormalCheck;
var(VertSurface) name SkelMeshActorParamName;
var(VertSurface) editoronly SkeletalMesh EditorSkelMesh;
var(VertSurface) array<name> ValidAssociatedBones;
var(VertSurface) Vector NormalToCompare;
var(VertSurface) float NormalCheckToleranceDegrees;
var float NormalCheckTolerance;
var(VertSurface) array<int> ValidMaterialIndices;

defaultproperties
{
    bOrientMeshEmitters=true
    SkelMeshActorParamName=VertSurfaceActor
    bSpawnModule=true
    bUpdateModule=true
    bFinalUpdateModule=true
    bSupported3DDrawMode=true
}